.TH wuzz 1 2017-03-04
.SH NAME
wuzz \- interactive tool for HTTP inspection

.SH DESCRIPTION
Wuzz is an interactive tool for generating and sending HTTP requests, as well as viewing the responses. Instead of having to specify the HTTP headers, parameters, body etc. on the command-line, a simple and intuitive CUI (console user interface) can be used. Wuzz's command line arguments are similar to cURL's arguments, so it can be used to inspect and modify requests copied from a browser's network inspector with the "copy as cURL" feature.

.SH SYNOPSIS
.B wuzz
[\fI\,OPTIONS\/\fR]... [\fI\,URL\/\fR]

.SH OPTIONS
.TP
\fB\-H\fR, \fB\-\-header\fR \fI\,HEADER\/\fR
Specify an HTTP Header
.TP
\fB\-d\fR, \fB\-\-data-\fR, \fB\-\-data-binary\fR \fI\,DATA\/\fR
Specify a (binary) data to be sent
.TP
\fB\-X\fR, \fB\-\-request\fR \fI\,METHOD\/\fR
Select an HTTP Request Method (\fI\,GET\/\fR, \fI\,POST\/\fR, \fI\,PUT\/\fR, \fI\,DELETE\/\fR, \fI\,HEAD\/\fR)
.TP
\fB\-t\fR, \fB\-\-timeout\fR \fI\,MILLISECONDS\/\fR
Request timeout in Milliseconds
.TP
\fB\-c\fR, \fB\-\-config\fR \fI\,PATH\/\fR
Use a custom configuration file
.TP
\fB\-h\fR, \fB\-\-help\fR
Show wuzz's built-in help (may be more up to date)
.TP
\fB\-j\fR, \fB\-\-json\fR \fI\,JSON\/\fR
Add JSON request data and set related request headers
.TP
\fB\-k\fR, \fB\-\-insecure\fR
Allow untrusted TLS certificates
.TP
\fB\-R\fR, \fB\-\-disable-redirects\fR
Do not follow HTTP redirects
.TP
\fB\-T\fR, \fB\-\-tls\fR \fI\,MINX\/\fR,\fI\,MAX\/\fR
Restrict allowed TLS versions (\fI\,SSL3.0\/\fR, \fI\,TLS1.0\/\fR, \fI\,TLS1.1\/\fR, \fI\,TLS1.2\/\fR)
.IP
wuzz -T TLS1.1 (TLS1.1 only)
.IP
wuzz -T TLS1.0,TLS1.1 (from TLS1.0 up to TLS1.1)
.TP
\fB\-\-tlsv1.0\fR
Force TLS1.0 only
.TP
\fB\-\-tlsv1.1\fR
Force TLS1.1 only
.TP
\fB\-\-tlsv1.2\fR
Force TLS1.2 only
.TP
\fB\-1\fR, \fB\-\-tlsv1\fR
Force TLS version 1.x (1.0, 1.1 or 1.2)
.TP
\fB\-v\fR, \fB\-\-version\fR
Display wuzz version number
.TP
\fB\-x\fR, \fB\-\-proxy\fR \fI\,URL\/\fR
Use HTTP(S) or SOCKS5 proxy

.SH CONFIGURATION
The default location for the configuration file is \fI\,$XDG_CONFIG_HOME/wuzz/config.toml\/\fR. The \fB\-c\fR / \fB\-\-config\fR switch can be used to load a configuration file from a different location.
This package ships with an example configuration in \fI\,/usr/share/doc/wuzz/examples/\fR.

.SH KEYBINDINGS
.TS
tab(%) allbox;
l l.
Ctrl+R % Send request
Return (Enter) % Send request (only from URL view)
Ctrl+S % Save response
Ctrl+C % Quit
Ctrl+K, Shift+Tab % Previous view
Ctrl+J, Tab % Next view
Alt+H % Toggle History
Down (Arrow Keys) % Move down one view line
Up (Arrow Keys) % Move up one view line
Page down % Move down one view page
Page up % Move up one view page
F1 % Display help
F2 % Jump to URL
F3 % Jump to query parameters
F4 % Jump to HTTP method
F5 % Jump to request body
F6 % Jump to headers
F7 % Jump to search
F8 % Jump to response headers
F9 % Jump to response body
.TE

.SH SEE ALSO
\fBcurl\fR(1)

.SH AUTHOR
This manual page was written by Jack Henschel <jackdev@mailbox.org>, for the Debian project (and may be used by others).
